Create a GPU instance
Provision a dedicated GPU instance. Most instances are ready in under 60 seconds. Specify either gpu_type (auto-deploy) or instance_type_id (specific config from /instances/types).
curl --request POST \
--url https://runcrate.ai/api/v1/instances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gpu_type": "<string>",
"instance_type_id": "<string>",
"region": "<string>",
"gpu_count": 2,
"cpu_cores": 2,
"memory": 2,
"storage": 2,
"template": "<string>",
"ssh_key_id": "<string>",
"env_vars": [
{
"key": "<string>",
"value": "<string>"
}
],
"startup_commands": [
"<string>"
],
"storage_id": "<string>",
"launch_script": "<string>",
"launch_script_base64": "<string>"
}
'import requests
url = "https://runcrate.ai/api/v1/instances"
payload = {
"name": "<string>",
"gpu_type": "<string>",
"instance_type_id": "<string>",
"region": "<string>",
"gpu_count": 2,
"cpu_cores": 2,
"memory": 2,
"storage": 2,
"template": "<string>",
"ssh_key_id": "<string>",
"env_vars": [
{
"key": "<string>",
"value": "<string>"
}
],
"startup_commands": ["<string>"],
"storage_id": "<string>",
"launch_script": "<string>",
"launch_script_base64": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
gpu_type: '<string>',
instance_type_id: '<string>',
region: '<string>',
gpu_count: 2,
cpu_cores: 2,
memory: 2,
storage: 2,
template: '<string>',
ssh_key_id: '<string>',
env_vars: [{key: '<string>', value: '<string>'}],
startup_commands: ['<string>'],
storage_id: '<string>',
launch_script: '<string>',
launch_script_base64: '<string>'
})
};
fetch('https://runcrate.ai/api/v1/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"cpu_cores": 123,
"memory": 123,
"storage": 123,
"region": "<string>",
"ip": "<string>",
"os_image": "<string>",
"cost_per_hour": 123,
"deployed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.
Body
Provide either gpu_type (auto-deploy to cheapest available config) or instance_type_id (specific config from /instances/types).
Human-readable instance name.
GPU model id (e.g. h100-sxm). Required if instance_type_id is not provided.
Exact instance-type id from GET /instances/types. Required if gpu_type is not provided.
Region preference. Defaults to auto.
x >= 1x >= 1GB
x >= 1GB ephemeral storage
x >= 1Template id to boot from.
ID of an SSH key to inject (create one via POST /ssh-keys).
Environment variables to inject. Each item must be { "key": "NAME", "value": "..." }.
Show child attributes
Show child attributes
Persistent volume to attach at boot. Mounts at /workspace.
Raw shell script to run on boot.
Base64-encoded launch script (alternative to launch_script).
Response
Instance created. Status will be starting or deploying until ready.
Show child attributes
Show child attributes
